Subject: Re: linux-next: build failure after merge of the v9fs tree

From: Dominique Martinet <[email-masked]>
Date: Mon, 5 Dec 2022 13:10:18 +0900

Stephen Rothwell wrote on Mon, Dec 05, 2022 at 03:03:16PM +1100:
> After merging the v9fs tree, today's linux-next build (i386 defconfig)
> failed like this:
> 
> In file included from include/linux/kernel.h:29,
>                  from arch/x86/include/asm/percpu.h:27,
>                  from arch/x86/include/asm/nospec-branch.h:14,
>                  from arch/x86/include/asm/paravirt_types.h:27,
>                  from arch/x86/include/asm/ptrace.h:97,
>                  from arch/x86/include/asm/math_emu.h:5,
>                  from arch/x86/include/asm/processor.h:13,
>                  from arch/x86/include/asm/timex.h:5,
>                  from include/linux/timex.h:67,
>                  from include/linux/time32.h:13,
>                  from include/linux/time.h:60,
>                  from include/linux/stat.h:19,
>                  from include/linux/module.h:13,
>                  from net/9p/client.c:11:
> net/9p/client.c: In function 'p9_check_errors':
> include/linux/kern_levels.h:5:25: error: format '%ld' expects argument of type 'long int', but argument 3 has type 'size_t' {aka 'unsigned int'} [-Werror=format=]
>     5 | #define KERN_SOH        "\001"          /* ASCII Start Of Header */
>       |                         ^~~~~~
> include/linux/printk.h:429:25: note: in definition of macro 'printk_index_wrap'
>   429 |                 _p_func(_fmt, ##__VA_ARGS__);                           \
>       |                         ^~~~
> include/linux/printk.h:500:9: note: in expansion of macro 'printk'
>   500 |         printk(KERN_ERR pr_fmt(fmt), ##__VA_ARGS__)
>       |         ^~~~~~
> include/linux/kern_levels.h:11:25: note: in expansion of macro 'KERN_SOH'
>    11 | #define KERN_ERR        KERN_SOH "3"    /* error conditions */
>       |                         ^~~~~~~~
> include/linux/printk.h:500:16: note: in expansion of macro 'KERN_ERR'
>   500 |         printk(KERN_ERR pr_fmt(fmt), ##__VA_ARGS__)
>       |                ^~~~~~~~
> net/9p/client.c:523:17: note: in expansion of macro 'pr_err'
>   523 |                 pr_err(
>       |                 ^~~~~~
> cc1: all warnings being treated as errors
> 
> Caused by commit
> 
>   36cd2f80abf8 ("net/9p: fix response size check in p9_check_errors()")
> 
> I have applied the following patch for today:

Thank you!
I guess I should start building one 32bit kernel somewhere...

I've amended the bad commit with this and added a note to the patch
thanking you (not quite sure how to express that with xx-by: like tags,
it's just words -- if you care and have a suggestion feel free)

-- 
Dominique